import { Size } from "./types";

/** 1 миллиметр в пикселях */
export const ONE_MM = 12;

export const DEFAULT_IMAGE_WIDTH = 100;
export const DEFAULT_IMAGE_HEIGHT = 100;
/** Стандартные варианты размера изображения */
export const VARIANTS_IMAGE_SIZE: { [k: string]: Size } = {
  A4: {
    name: 'A4',
    width: 210,
    height: 297,
  },
  A5: {
    name: 'A5',
    width: 148,
    height: 210,
  },
};

export const DEFAULT_VERTICAL_MARGIN = 10;
export const DEFAULT_HORIZONTAL_MARGIN = 10;
export const DEFAULT_VERTICAL_ROTATION = 90;
/** Стандартные варианты наклона вертикальных линий */
export const VARIANTS_VERTICAL_ROTATION = [45, 60, 65, 90];

export const DEFAULT_IMAGE_BACKGROUND_COLOR = "#ffffff";

export const DEFAULT_MARGIN_ENABLE = false;
export const DEFAULT_MARGIN_BACKGROUND_COLOR = "#dd3333";
export const DEFAULT_MARGIN_LEFT_MARGIN = 25;
